
Foreman - Tracker #28570

Rails 6.1 Tracker

12/25/2019 03:33 PM - Anonymous

Status: Closed % Done: 100%

Priority: Normal   

Assignee:    

Category: Rails   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Subtasks:

Refactor # 30122: Remove usage of force_ssl in controller Closed

Refactor # 34500: Add support for Rails 6.1 Closed

Refactor # 35422: Update audited to version 5 Closed

Refactor # 35423: Update ancestry to version 4 Closed

Refactor # 35427: Ensure scoped_search is at least 4.1.10 Closed

Refactor # 35428: Update rails-i18n to version 7 Closed

Refactor # 35432: Load Rails 6.1 defaults Closed

Related issues:

Related to Foreman - Refactor #22153: move away from rails-controller-testing New 01/04/2018

Related to Foreman - Refactor #28571: Remove usage of content_tag_for & div_f... Closed

Related to Foreman - Feature #29991: Enable Zeitwerk autoload mode for Rails 6+ Ready For Testing

Related to Foreman - Tracker #33983: Cleanup core_extensions Resolved

Related to Foreman - Feature #34526: Switch Rails version to 6.1 Closed

Blocked by Foreman - Tracker #24837: Rails 6.0 Tracker Closed

Blocked by Foreman - Refactor #23300: Do not use string interpolation when co... Closed

Blocked by Foreman - Refactor #29483: Remove usage of Class level methods sco... Resolved

Blocked by Foreman - Refactor #29520: Wrap sql in Arel.sql() where needed Closed

Blocked by Foreman - Refactor #30030: Set config.action_dispatch.return_only_... Closed

Blocked by Foreman - Refactor #34569: Postpone LookupValue match validations Closed

Blocks Foreman - Tracker #34647: Rails 7.0 Tracker New

History

#1 - 12/25/2019 03:36 PM - Anonymous

- Related to Refactor #22153: move away from rails-controller-testing added

#2 - 12/25/2019 03:37 PM - Anonymous

- Blocked by Tracker #24837: Rails 6.0 Tracker added

#3 - 12/25/2019 03:39 PM - Anonymous

- Related to Refactor #28571: Remove usage of content_tag_for & div_for helpers so we can drop record_tag_helper added

#4 - 12/25/2019 03:41 PM - Anonymous

- Blocked by Refactor #23300: Do not use string interpolation when composing SQL queries. added

#5 - 04/06/2020 07:28 PM - Ondřej Ezr

- Blocked by Refactor #29483: Remove usage of Class level methods scope inheritance added
#6 - 04/13/2020 03:27 PM - Anonymous

- Blocked by Refactor #29520: Wrap sql in Arel.sql() where needed added

#7 - 06/03/2020 07:28 AM - Lukas Zapletal

- Related to Feature #29991: Enable Zeitwerk autoload mode for Rails 6+ added

#8 - 06/05/2020 05:20 PM - Anonymous

- Blocked by Refactor #30030: Set config.action_dispatch.return_only_media_type_on_content_type = false added

#9 - 11/23/2021 02:40 PM - Ondřej Ezr

- Related to Tracker #33983: Cleanup core_extensions added

#10 - 02/28/2022 03:03 PM - Leos Stejskal

- Related to Feature #34526: Switch Rails version to 6.1 added

#11 - 03/07/2022 09:46 PM - Ondřej Ezr

- Blocked by Refactor #34569: Postpone LookupValue match validations added

#12 - 03/18/2022 11:35 AM - Ondřej Ezr

- Blocks Tracker #34647: Rails 7.0 Tracker added

#13 - 04/25/2024 09:01 AM - Ewoud Kohl van Wijngaarden

- Status changed from New to Closed

We have shipped Rails 6.1 for a long time now. The Zeitwerk effort will continue.
